Nestopia Core API: Nes::Api::Sound::Channel

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## api
Enum Nes::Api::Sound::Channel

Sound channel types.

Field Summary
`ALL_CHANNELS = APU_CHANNELS | EXT_CHANNELS` All channels.
`APU_CHANNELS = CHANNEL_SQUARE1 | CHANNEL_SQUARE2 | CHANNEL_TRIANGLE | CHANNEL_NOISE | CHANNEL_DPCM` All NES APU channels.
`CHANNEL_DPCM = 0x010` DPCM channel.
`CHANNEL_FDS = 0x020` FDS sound chip channel.
`CHANNEL_MMC5 = 0x040` MMC5 sound chip channel.
`CHANNEL_N163 = 0x200` Namcot 163 sound chip channel.
`CHANNEL_NOISE = 0x008` Noise channel.
`CHANNEL_S5B = 0x400` Sunsoft 5B sound chip channel.
`CHANNEL_SQUARE1 = 0x001` First square channel.
`CHANNEL_SQUARE2 = 0x002` Second square channel.
`CHANNEL_TRIANGLE = 0x004` Triangle channel.
`CHANNEL_VRC6 = 0x080` Konami VRC6 sound chip channel.
`CHANNEL_VRC7 = 0x100` Konami VRC7 sound chip channel.
`EXT_CHANNELS = CHANNEL_FDS | CHANNEL_MMC5 | CHANNEL_VRC6 | CHANNEL_VRC7 | CHANNEL_N163 | CHANNEL_S5B` All external sound chip channels.

Field Detail

### ALL_CHANNELS

    public ALL_CHANNELS = APU_CHANNELS | EXT_CHANNELS

  All channels.

### APU_CHANNELS

    public APU_CHANNELS = CHANNEL_SQUARE1 | CHANNEL_SQUARE2 | CHANNEL_TRIANGLE | CHANNEL_NOISE | CHANNEL_DPCM

  All NES APU channels.

### CHANNEL_DPCM

    public CHANNEL_DPCM = 0x010

  DPCM channel.

### CHANNEL_FDS

    public CHANNEL_FDS = 0x020

  FDS sound chip channel.

### CHANNEL_MMC5

    public CHANNEL_MMC5 = 0x040

  MMC5 sound chip channel.

### CHANNEL_N163

    public CHANNEL_N163 = 0x200

  Namcot 163 sound chip channel.

### CHANNEL_NOISE

    public CHANNEL_NOISE = 0x008

  Noise channel.

### CHANNEL_S5B

    public CHANNEL_S5B = 0x400

  Sunsoft 5B sound chip channel.

### CHANNEL_SQUARE1

    public CHANNEL_SQUARE1 = 0x001

  First square channel.

### CHANNEL_SQUARE2

    public CHANNEL_SQUARE2 = 0x002

  Second square channel.

### CHANNEL_TRIANGLE

    public CHANNEL_TRIANGLE = 0x004

  Triangle channel.

### CHANNEL_VRC6

    public CHANNEL_VRC6 = 0x080

  Konami VRC6 sound chip channel.

### CHANNEL_VRC7

    public CHANNEL_VRC7 = 0x100

  Konami VRC7 sound chip channel.

### EXT_CHANNELS

    public EXT_CHANNELS = CHANNEL_FDS | CHANNEL_MMC5 | CHANNEL_VRC6 | CHANNEL_VRC7 | CHANNEL_N163 | CHANNEL_S5B

  All external sound chip channels.

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD